package shop.alien.second.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.SecondVideoTask;

public interface VideoModerationService  extends IService<SecondVideoTask> {
    /**
     * 提交视频审核任务
     *
     * @param videoUrl 视频URL
     * @return 任务ID
     */
    String submitVideoModerationTask(String videoUrl);
    /**
     * 查询视频审核结果
     *
     * @param taskId 任务ID
     * @return 审核结果
     */
    SecondVideoTask queryVideoModerationResult(String taskId);
    /**
     * 处理视频审核结果
     *
     * @param task 视频审核任务
     * @return 是否处理成功
     */
    boolean processTask(SecondVideoTask task);
    /**
     * 根据任务ID获取视频审核任务
     *
     * @param taskId 任务ID
     * @return 视频审核任务
     */
    SecondVideoTask getTaskByTaskId(String taskId);

    /**
     * 处理所有待处理的视频审核任务
     * @return 处理结果
     */
    String processAllPendingVideoTasks();
}